Bug 335568 - Rounded Corners for Rectangle Selection Tool.
Summary: Rounded Corners for Rectangle Selection Tool.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-30 08:29 UTC by Paul Geraskin
Modified: 2018-09-07 14:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Geraskin 2014-05-30 08:29:54 UTC
Hi devs.

I have a Feature Request about Rounded Corners for Rectangle Selection Tool. This is very important feature for designers who make interface, logos, adverticement and other art things.

We just need a checkbox "RoundedCorners" with float/int values of radius. Just like in Gimp/PS. http://i.imgur.com/WXdq2sE.png

And here is an example from supercity game: http://i.imgur.com/EyBWpCw.png

Thanks.
Comment 1 Paul Geraskin 2014-05-30 08:32:34 UTC
PS: This feature is pretty important. Also, this feature could be made with Vector rectangle selection, for example.

Dmitry confirmed it's possible to add.
Comment 2 Sven Langkamp 2014-05-30 16:54:04 UTC
It's already possible with vector selections.
Comment 3 Dmitry Kazakov 2014-05-30 18:03:47 UTC
Vector selections do not allow choosing the radius of corners in pixels, that's the trouble
Comment 4 Halla Rempt 2016-01-24 13:53:02 UTC
WISHGROUP: Vector kickstarter main project
Comment 5 Paul Geraskin 2016-01-24 16:12:05 UTC
I think thi is not for vector tool only. This is for raster rectangle tool too. As user interface designer needsrounded corners often.
Comment 6 Dmitry Kazakov 2018-08-23 15:52:54 UTC
Git commit 04931e4fc85ef967a2d3834993890a430a65a864 by Dmitry Kazakov.
Committed on 23/08/2018 at 15:52.
Pushed by dkazakov into branch 'master'.

Now both rectangular tools have an ability to set round
corners for the resulting shape. It works both: for vector
and raster shapes
CC:kimageshop@kde.org

M  +101  -33   libs/ui/forms/wdgrectangleconstraints.ui
M  +54   -2    libs/ui/tool/kis_rectangle_constraint_widget.cpp
M  +8    -1    libs/ui/tool/kis_rectangle_constraint_widget.h
M  +22   -13   libs/ui/tool/kis_shape_tool_helper.cpp
M  +1    -1    libs/ui/tool/kis_shape_tool_helper.h
M  +6    -0    libs/ui/tool/kis_tool.cc
M  +1    -0    libs/ui/tool/kis_tool.h
M  +5    -0    libs/ui/tool/kis_tool_ellipse_base.cpp
M  +3    -0    libs/ui/tool/kis_tool_ellipse_base.h
M  +38   -4    libs/ui/tool/kis_tool_rectangle_base.cpp
M  +7    -2    libs/ui/tool/kis_tool_rectangle_base.h
M  +8    -10   plugins/flake/pathshapes/rectangle/RectangleShape.cpp
M  +24   -0    plugins/flake/pathshapes/rectangle/RectangleShapeFactory.cpp
M  +2    -0    plugins/flake/pathshapes/rectangle/RectangleShapeFactory.h
M  +4    -1    plugins/tools/basictools/kis_tool_ellipse.cc
M  +1    -1    plugins/tools/basictools/kis_tool_ellipse.h
M  +15   -4    plugins/tools/basictools/kis_tool_rectangle.cc
M  +1    -1    plugins/tools/basictools/kis_tool_rectangle.h
M  +4    -1    plugins/tools/selectiontools/kis_tool_select_elliptical.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_elliptical.h
M  +12   -3    plugins/tools/selectiontools/kis_tool_select_rectangular.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_rectangular.h

https://commits.kde.org/krita/04931e4fc85ef967a2d3834993890a430a65a864
Comment 7 Halla Rempt 2018-09-07 14:26:05 UTC
Git commit 9fb8e09a7b214e90215707c0a95f3d18efa43a01 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 07/09/2018 at 12:49.
Pushed by rempt into branch 'krita/4.1'.

Now both rectangular tools have an ability to set round
corners for the resulting shape. It works both: for vector
and raster shapes
CC:kimageshop@kde.org

M  +101  -33   libs/ui/forms/wdgrectangleconstraints.ui
M  +54   -2    libs/ui/tool/kis_rectangle_constraint_widget.cpp
M  +8    -1    libs/ui/tool/kis_rectangle_constraint_widget.h
M  +22   -13   libs/ui/tool/kis_shape_tool_helper.cpp
M  +1    -1    libs/ui/tool/kis_shape_tool_helper.h
M  +6    -0    libs/ui/tool/kis_tool.cc
M  +1    -0    libs/ui/tool/kis_tool.h
M  +5    -0    libs/ui/tool/kis_tool_ellipse_base.cpp
M  +3    -0    libs/ui/tool/kis_tool_ellipse_base.h
M  +38   -4    libs/ui/tool/kis_tool_rectangle_base.cpp
M  +7    -2    libs/ui/tool/kis_tool_rectangle_base.h
M  +8    -10   plugins/flake/pathshapes/rectangle/RectangleShape.cpp
M  +24   -0    plugins/flake/pathshapes/rectangle/RectangleShapeFactory.cpp
M  +2    -0    plugins/flake/pathshapes/rectangle/RectangleShapeFactory.h
M  +4    -1    plugins/tools/basictools/kis_tool_ellipse.cc
M  +1    -1    plugins/tools/basictools/kis_tool_ellipse.h
M  +15   -4    plugins/tools/basictools/kis_tool_rectangle.cc
M  +1    -1    plugins/tools/basictools/kis_tool_rectangle.h
M  +4    -1    plugins/tools/selectiontools/kis_tool_select_elliptical.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_elliptical.h
M  +12   -3    plugins/tools/selectiontools/kis_tool_select_rectangular.cc
M  +1    -1    plugins/tools/selectiontools/kis_tool_select_rectangular.h

https://commits.kde.org/krita/9fb8e09a7b214e90215707c0a95f3d18efa43a01